test_jpeg_top Namespace Reference

## Functions

## Variables

## Detailed Description

    Example of using Cocotb to send image files in to the opencores JPEG Encoder
    and check that the output is sufficiently similar to the input.

    NB Limited to 96x96 images since we're using a static JPEG header.

## Function Documentation

def test_jpeg_top.compare | ( |  | i1,
|  |  | i2
| ) |  |

    Compare the similarity of two images

    From http://rosettacode.org/wiki/Percentage_difference_between_images

Definition at line 20 of file test_jpeg_top.py.

Referenced by process_image().

def test_jpeg_top.process_image | ( |  | dut,
|  |  | filename = `""`,
|  |  | debug = `False`,
|  |  | threshold = `0.22`
| ) |  |

    Run an image file through the jpeg encoder and compare the result

Definition at line 36 of file test_jpeg_top.py.

References compare().

## Variable Documentation

tf = TestFactory(process_image)

Definition at line 62 of file test_jpeg_top.py.